Package org.jboss.resteasy.core.interception.jaxrs

## Class ClientRequestFilterRegistryImpl

- java.lang.Object
- - org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl<javax.ws.rs.client.ClientRequestFilter>
  - - org.jboss.resteasy.core.interception.jaxrs.ClientRequestFilterRegistryImpl

- All Implemented Interfaces:
    `JaxrsInterceptorRegistry<javax.ws.rs.client.ClientRequestFilter>`

      public class ClientRequestFilterRegistryImpl
      extends JaxrsInterceptorRegistryImpl<javax.ws.rs.client.ClientRequestFilter>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl

      `JaxrsInterceptorRegistryImpl.AbstractInterceptorFactory, JaxrsInterceptorRegistryImpl.OnDemandInterceptorFactory, JaxrsInterceptorRegistryImpl.SingletonInterceptorFactory`

    - ### Nested classes/interfaces inherited from interface org.jboss.resteasy.spi.interception.JaxrsInterceptorRegistry

      `JaxrsInterceptorRegistry.AscendingPrecedenceComparator, JaxrsInterceptorRegistry.DescendingPrecedenceComparator, JaxrsInterceptorRegistry.InterceptorFactory, JaxrsInterceptorRegistry.Match`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl

      `cachedPostMatch, cachedPreMatch, interceptors, intf, listeners, providerFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientRequestFilterRegistryImpl​(ResteasyProviderFactory providerFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ClientRequestFilterRegistryImpl` | `clone​(ResteasyProviderFactory factory)` |
    `void` | `registerClass​(Class<? extends javax.ws.rs.client.ClientRequestFilter> declaring)` |
    `void` | `registerClass​(Class<? extends javax.ws.rs.client.ClientRequestFilter> declaring, int priority)` |

    - ### Methods inherited from class org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl

      `getIntf, getListeners, getNameBound, getPriority, postMatch, preMatch, register, registerSingleton, registerSingleton, sort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientRequestFilterRegistryImpl

          public ClientRequestFilterRegistryImpl​(ResteasyProviderFactory providerFactory)

  - ### Method Detail

    - #### registerClass

          public void registerClass​(Class<? extends javax.ws.rs.client.ClientRequestFilter> declaring)

      Specified by:
        `registerClass` in interface `JaxrsInterceptorRegistry<javax.ws.rs.client.ClientRequestFilter>`
      Overrides:
        `registerClass` in class `JaxrsInterceptorRegistryImpl<javax.ws.rs.client.ClientRequestFilter>`

    - #### registerClass

          public void registerClass​(Class<? extends javax.ws.rs.client.ClientRequestFilter> declaring,
                                    int priority)

      Specified by:
        `registerClass` in interface `JaxrsInterceptorRegistry<javax.ws.rs.client.ClientRequestFilter>`
      Overrides:
        `registerClass` in class `JaxrsInterceptorRegistryImpl<javax.ws.rs.client.ClientRequestFilter>`

    - #### clone

          public ClientRequestFilterRegistryImpl clone​(ResteasyProviderFactory factory)

      Specified by:
        `clone` in interface `JaxrsInterceptorRegistry<javax.ws.rs.client.ClientRequestFilter>`
      Overrides:
        `clone` in class `JaxrsInterceptorRegistryImpl<javax.ws.rs.client.ClientRequestFilter>`